# Popd built-in

The popd built-in pops a directory from the directory stack.

## Syntax

- `popd [index]`

## Description

The popd built-in removes the last entry from the directory stack, returning to the previous working directory. If index is given, the entry specified by index is removed instead of the last one.

## Operands

index

  The index of a directory stack entry you want to remove.

  If omitted, `+0` (the last entry) is assumed.

## Exit status

The exit status of the popd built-in is zero unless there is any error.

## Notes

It is an error to use this built-in when there is only one directory stack entry.

The popd built-in is an elective built-in. It cannot be used in the POSIXly-correct mode because POSIX does not define its behavior.